/*
 * Level.cpp
 * 
 * Copyright (C) 2008 Matthias Schiffer <matthias@gamezock.de>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Level.h"

namespace ZoomEdit {
namespace Data {

Level::Level(xmlpp::Element *levelNode) {
  roomsNode = dynamic_cast<xmlpp::Element*>(levelNode->get_children("rooms").front());
  
  if(!roomsNode)
    return;
  
  xmlpp::Node::NodeList roomList = roomsNode->get_children("room");
  
  for(xmlpp::Node::NodeList::iterator room = roomList.begin(); room != roomList.end(); ++room) {
    xmlpp::Element *roomNode = dynamic_cast<xmlpp::Element*>(*room);
    
    if(roomNode)
      rooms.push_front(Room(roomNode));
  }
}

}
}
